%define eximversion 4.43
%define docversion 4.40
%define exiscanrev 28
%define saversion 4.1
%define releasenum 0

# Deduce the major release of Red Hat we are building on
%define redhatmajorver %(rpm -q --queryformat='%{VERSION}' redhat-release|cut -d. -f1)
%define fedoramajorver %(rpm -q --queryformat='%{VERSION}' fedora-release|cut -d. -f1)

# what version of RH are we building for?
%define rhel3 %(if [ "%{redhatmajorver}" = "3ES" -o "%{redhatmajorver}" = "3AS" -o "%{redhatmajorver}" = "3WS" ];then echo 1;else echo 0;fi) 
%define fedora1 %(if [ "%{fedoramajorver}" = "1" ];then echo 1;else echo 0;fi) 
%define fedora2 %(if [ "%{fedoramajorver}" = "2" ];then echo 1;else echo 0;fi) 
%define fedora3 %(if [ "%{fedoramajorver}" = "3" ];then echo 1;else echo 0;fi) 
%define redhat9 %(if [ "%{redhatmajorver}" = "9" ];then echo 1;else echo 0;fi) 
%define redhat8 %(if [ "%{redhatmajorver}" = "8" ];then echo 1;else echo 0;fi) 
%define redhat7 %(if [ "%{redhatmajorver}" = "7" ];then echo 1;else echo 0;fi) 
%define redhat6 %(if [ "%{redhatmajorver}" = "6" ];then echo 1;else echo 0;fi) 
%define rhel21 %(if [ "%{rhelesver}" = "2.1ES" -o "%{rhelasver}" = "2.1AS" -o "%{rhelwsver}" = "2.1WS" ];then echo 1;else echo 0;fi) 

# options for components
%define build_mysql 1
%define build_pgsql 1
%define alternatives 1
%define build_docs 1
%define build_perl 1

#
# These stanzas can override the RH version set above - but you need to know
# what you are doing otherwise it will all break
#
# Options for Redhat version 6.x:
# rpmbuild -ba|--rebuild --define "rh6 1"
%{?rh6:%define rhel21 0}
%{?rh6:%define rhel3 0}
%{?rh6:%define fedora1 0}
%{?rh6:%define fedora2 0}
%{?rh6:%define fedora3 0}
%{?rh6:%define redhat9 0}
%{?rh6:%define redhat8 0}
%{?rh6:%define redhat7 0}
%{?rh6:%define redhat6 1}

# Options for Redhat version 7.x:
# rpmbuild -ba|--rebuild --define "rh7 1"
%{?rh7:%define rhel21 0}
%{?rh7:%define rhel3 0}
%{?rh7:%define fedora1 0}
%{?rh7:%define fedora2 0}
%{?rh7:%define fedora3 0}
%{?rh7:%define redhat9 0}
%{?rh7:%define redhat8 0}
%{?rh7:%define redhat7 1}
%{?rh7:%define redhat6 0}

# Options for Redhat version 8.0:
# rpmbuild -ba|--rebuild --define "rh8 1"
%{?rh8:%define rhel21 0}
%{?rh8:%define rhel3 0}
%{?rh8:%define fedora1 0}
%{?rh8:%define fedora2 0}
%{?rh8:%define fedora3 0}
%{?rh8:%define redhat9 0}
%{?rh8:%define redhat8 1}
%{?rh8:%define redhat7 0}
%{?rh8:%define redhat6 0}

# Options for Redhat version 9:
# rpmbuild -ba|--rebuild --define "rh9 1"
%{?rh9:%define rhel21 0}
%{?rh9:%define rhel3 0}
%{?rh9:%define fedora1 0}
%{?rh9:%define fedora2 0}
%{?rh9:%define fedora3 0}
%{?rh9:%define redhat9 1}
%{?rh9:%define redhat8 0}
%{?rh9:%define redhat7 0}
%{?rh9:%define redhat6 0}

# Options for Fedora Core version 1:
# rpmbuild -ba|--rebuild --define "fc1 1"
%{?fc1:%define rhel21 0}
%{?fc1:%define rhel3 0}
%{?fc1:%define fedora1 1}
%{?fc1:%define fedora2 0}
%{?fc1:%define fedora3 0}
%{?fc1:%define redhat9 0}
%{?fc1:%define redhat8 0}
%{?fc1:%define redhat7 0}
%{?fc1:%define redhat6 0}

# Options for Fedora Core version 2:
# rpmbuild -ba|--rebuild --define "fc2 1"
%{?fc2:%define rhel21 0}
%{?fc2:%define rhel3 0}
%{?fc2:%define fedora1 0}
%{?fc2:%define fedora2 1}
%{?fc2:%define fedora3 0}
%{?fc2:%define redhat9 0}
%{?fc2:%define redhat8 0}
%{?fc2:%define redhat7 0}
%{?fc2:%define redhat6 0}

# Options for Fedora Core version 3:
# rpmbuild -ba|--rebuild --define "fc3 1"
%{?fc3:%define rhel21 0}
%{?fc3:%define rhel3 0}
%{?fc3:%define fedora1 0}
%{?fc3:%define fedora2 0}
%{?fc3:%define fedora3 1}
%{?fc3:%define redhat9 0}
%{?fc3:%define redhat8 0}
%{?fc3:%define redhat7 0}
%{?fc3:%define redhat6 0}

# Options for Red Hat Enterprise Linux Enterprise Server + Advanced Server 2.1
# rpmbuild -ba|--rebuild --define "el21 1"
%{?el21:%define rhel21 1}
%{?el21:%define rhel3 0}
%{?el21:%define fedora1 0}
%{?el21:%define fedora2 0}
%{?el21:%define fedora3 0}
%{?el21:%define redhat9 0}
%{?el21:%define redhat8 0}
%{?el21:%define redhat7 0}
%{?el21:%define redhat6 0}

# Options for Red Hat Enterprise Linux Enterprise Server + Advanced Server 2.1
# rpmbuild -ba|--rebuild --define "el3 1"
%{?el3:%define rhel21 0}
%{?el3:%define rhel3 1}
%{?el3:%define fedora1 0}
%{?el3:%define fedora2 0}
%{?el3:%define fedora3 0}
%{?el3:%define redhat9 0}
%{?el3:%define redhat8 0}
%{?el3:%define redhat7 0}
%{?el3:%define redhat6 0}



#%define exact_openssl_version   %(rpm -q openssl | cut -d - -f 2)

%if %{redhat6}
## Currently I can't make exim/mysql build under RH6.2 with the RH6.2 powertools mysql
## so we'll drop that for now
%define build_mysql 0
# Also cannot do alternatives under RH6x
%define alternatives 0
%endif

# deal with extensions for alternatives
%if %{alternatives}
%define alt_ext .exim
%else
## %define alt_ext
%endif

Summary: The Exim mail transfer agent
Name: exim
Version: %{eximversion}
%define release %{releasenum}_%{exiscanrev}.rh9
%if %{redhat6}
%define release %{releasenum}_%{exiscanrev}.rh6x
%endif
%if %{redhat7}
%define release %{releasenum}_%{exiscanrev}.rh7x
%endif
%if %{redhat8}
%define release %{releasenum}_%{exiscanrev}.rh8x
%endif
%if %{fedora1}
%define release %{releasenum}_%{exiscanrev}.fc1
%endif
%if %{fedora2}
%define release %{releasenum}_%{exiscanrev}.fc2
%endif
%if %{fedora3}
%define release %{releasenum}_%{exiscanrev}.fc3
%endif
%if %{rhel21}
%define release %{releasenum}_%{exiscanrev}.2.1AS
%endif
%if %{rhel3}
%define release %{releasenum}_%{exiscanrev}.rhel3
%endif
Release: %{release}
Copyright: GPL
Url: http://www.exim.org/
Group: System Environment/Daemons
Buildroot: %{_tmppath}/%{name}-build.root
Provides: smtpdaemon
BuildPreReq: rpm >= 3.0.5
PreReq: /sbin/service
PreReq: /sbin/chkconfig
PreReq: openssl >= 0.9.5a
#PreReq: openssl = %{exact_openssl_version}
Requires: openssl >= 0.9.5a
##Requires: bash >= 2.0
Requires: rpm >= 3.0.5
Requires: exim-mta
PreReq: %{_sbindir}/groupadd, %{_sbindir}/useradd
%if %{alternatives}
PreReq: %{_sbindir}/alternatives
Provides: /usr/sbin/sendmail
Provides: /usr/bin/newaliases
Provides: /usr/bin/mailq
%else
Conflicts: sendmail, postfix, qmail
Obsoletes: sendmail, postfix, qmail
%endif
Source: ftp://ftp.exim.org/pub/exim/exim3/exim-%{version}.tar.bz2
Source1: exim.aliases
Source2: exim.init
Source3: exim.sysconfig
Source4: exim.logrotate
%if %{build_docs}
Source6: ftp://ftp.exim.org/pub/exim/exim4/FAQ-html.tar.bz2
Source7: ftp://ftp.exim.org/pub/exim/exim4/exim-html-%{docversion}.tar.bz2
Source8: ftp://ftp.exim.org/pub/exim/exim4/exim-postscript-%{docversion}.tar.bz2
Source9: ftp://ftp.exim.org/pub/exim/exim4/exim-pdf-%{docversion}.tar.bz2
%endif
Source10: exim-%{eximversion}-buildconfig.tar.gz
Source11: exim.pam
%if %{build_docs}
Source13: http://www.exim.org/ftp/exim4/config.samples.tar.bz2
%endif
##Source14: http://duncanthrax.net/exiscan/exiscan-%{version}-%{exiscanrev}.tar.gz
Source15: sa-exim-%{saversion}.tar.gz
Patch1: http://duncanthrax.net/exiscan-acl/exiscan-acl-%{version}-%{exiscanrev}.patch.bz2
%if %{redhat8} || %{redhat9} || %{fedora1} || %{fedora2} || %{fedora3} || %{rhel3}
BuildRequires: db4-devel
%else
BuildRequires: db3-devel
%endif
BuildRequires: openssl-devel
BuildRequires: XFree86-devel
%if %{build_mysql}
BuildRequires: mysql-devel
%endif
%if %{build_pgsql}
BuildRequires: postgresql-devel
%endif
BuildRequires: perl
BuildRequires: openldap-devel
%if %{rhel3}
BuildRequires: elinks
%else
# for SA-Exim documentation
BuildRequires: lynx
%endif
BuildRequires: pam-devel
BuildRequires: tcp_wrappers

%description
Exim is a mail transport agent (MTA) developed at the University of
Cambridge for use on Unix systems connected to the Internet. In style
it is similar to Smail 3, but its facilities are more extensive, and
in particular it has options for verifying incoming sender and
recipient addresses, for refusing mail from specified hosts, networks,
or senders, and for controlling mail relaying. Exim is in production
use at quite a few sites, some of which move hundreds of thousands of
messages per day.

This package includes all the utilities, but not the main MTA program.
The main MTA program can be selected from one of the exim-base, exim-ldap
exim-perl, exim-mysql or exim-pgsql packages depending on the types of
additional lookup functionality required.

Exiscan (ACL version %{version}-%{exiscanrev}) is compiled in to allow inbuilt scanning 
capability. See http://duncanthrax.net/exiscan-acl/

%package mon
Summary: X11 monitor application for Exim
Group: Applications/System
Copyright: Free

%description mon
The Exim Monitor is an optional supplement to the Exim package. It
displays information about Exim's processing in an X window, and an
administrator can perform a number of control actions from the window
interface.

%if %{build_docs}
%package doc
Summary: Exim documentation
Group: Documentation

%description doc
This package includes the Exim FAQ and Exim manual in HTML,
PostScript and PDF formats.
%endif

%package base
Summary: Main Exim MTA program, compiled with basic libraries
Group: System Environment/Daemons
Provides: exim-mta
Conflicts: exim-perl exim-mysql exim-pgsql 
Obsoletes: exim-ldap exim-perl exim-mysql exim-pgsql 
#Requires: exim

%description base 
The main exim MTA program, compiled with LDAP and all basic dbm
lookups support, TLS (SSL) and all the main transports.  This should
suit many general purpose systems, and is the smallest binary.

Exiscan (ACL version %{version}-%{exiscanrev}) is compiled in to allow inbuilt scanning capability. See
	http://duncanthrax.net/exiscan-acl/

%if %{build_perl}
%package perl
Summary: Main Exim MTA program, compiled with basic libraries + perl
Group: System Environment/Daemons
Provides: exim-mta
Conflicts: exim-base exim-ldap exim-mysql exim-pgsql 
Obsoletes: exim-base exim-ldap exim-mysql exim-pgsql 
#Requires: exim

%description perl
The main exim MTA program, compiled with all basic dbm lookups support,
TLS (SSL), LDAP and all the main transports, plus embedded perl support.

Exiscan (ACL version %{version}-%{exiscanrev}) is compiled in to allow inbuilt scanning capability. See
	http://duncanthrax.net/exiscan-acl/
%endif

%if %{build_mysql}
%package mysql
Summary: Main Exim MTA program, compiled with basic libraries + perl + mysql
Group: System Environment/Daemons
Provides: exim-mta
Conflicts: exim-base exim-ldap exim-perl exim-pgsql 
Obsoletes: exim-base exim-ldap exim-perl exim-pgsql 
#Requires: exim

%description mysql
The main exim MTA program, compiled with all basic dbm lookups support,
TLS (SSL), LDAP and all the main transports, plus embedded perl support
and mysql db lookup support.

Exiscan (ACL version %{version}-%{exiscanrev}) is compiled in to allow inbuilt scanning capability. See
	http://duncanthrax.net/exiscan-acl/
%endif

%if %{build_pgsql}
%package pgsql
Summary: Main Exim MTA program, compiled with basic libraries + perl + pgsql
Group: System Environment/Daemons
Provides: exim-mta
Conflicts: exim-base exim-ldap exim-perl exim-mysql
Obsoletes: exim-base exim-ldap exim-perl exim-mysql
#Requires: exim

%description pgsql
The main Exim MTA program, compiled with all basic DBM lookups support,
TLS (SSL), LDAP and all the main transports, plus embedded perl support
and postgresql lookups.

Exiscan (ACL version %{version}-%{exiscanrev}) is compiled in to allow inbuilt scanning capability. See
	http://duncanthrax.net/exiscan-acl/
%endif

%package saexim
Summary: Exim SpamAssassin at SMTP time - d/l plugin
Group: System Environment/Daemons
Requires: exim

%description saexim

Allows running of SA on incoming mail and rejection at SMTP time as
well as other nasty things like teergrubing.

%prep
%setup -q
%if %{build_docs}
%setup -q -T -D -a 6
mv FAQ-html faq
%endif
%setup -q -T -D -a 15
%if %{build_docs}
%setup -q -T -D -a 13
%setup -q -T -D -a 7
mv exim-html-%{docversion} html
%setup -q -T -D -a 8
mv exim-postscript-%{docversion} ps
%setup -q -T -D -a 9
mv exim-pdf-%{docversion} pdf
%endif
%setup -q -T -D -a 10

%patch1 -p1

%if %{redhat6}
# Configs can differ subtly between RH7 & RH6
# This puts the RH6 ones in if appropriate
mv -f -v Local/rh6.x/*.m4 Local/
%endif

# SA-Exim dlopen patch
cat sa-exim*/localscan_dlopen_exim_4.20_or_better.patch | patch -p1 

%build
# we build several versions here...
mkdir bins
versions="base"
%if %{build_perl}
versions="perl base"
%endif
%if %{build_mysql}
versions="mysql $versions"
%endif
%if %{build_pgsql}
versions="pgsql $versions"
%endif
for version in $versions
do
  # The contortions we go through to defeat this
  # build system are horrid... however this at
  # least makes the human edited parts minimal
  (cd Local;
   perl merge_conf.pl exim-$version.m4 )>Local/Makefile
   CFLAGS="$RPM_OPT_FLAGS -DIPV6_V6ONLY=26"
   LFLAGS="-rdynamic -ldl"
   EXTRAS=""
%if %{fedora1} || %{fedora2} || %{fedora3}
%ifnarch s390 s390x
   CFLAGS="$CFLAGS -fpie"
%else
   CFLAGS="$CFLAGS -fPIE"
%endif
   LFLAGS="$LFLAGS -pie"
   EXTRAS="_lib=%{_lib}"
%endif
  make CFLAGS="$CFLAGS" LFLAGS="$LFLAGS" $EXTRAS
  cp build-`scripts/os-type`-`scripts/arch-type`/exim bins/exim-$version
done

# Build SA-Exim
cd sa-exim*
make clean
make SACONF=/etc/exim/sa-exim.conf

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/etc/exim

install bins/exim* $RPM_BUILD_ROOT/usr/sbin
ln -s exim-base $RPM_BUILD_ROOT/usr/sbin/exim

cd build-`scripts/os-type`-`scripts/arch-type`

for i in eximon eximon.bin exim_dumpdb exim_fixdb exim_tidydb \
  	exinext exiwhat exim_dbmbuild exicyclog exim_lock \
	exigrep exiqgrep eximstats exiqsumm convert4r4 \
	exim_checkaccess
do
    install -m 0775 $i $RPM_BUILD_ROOT/usr/sbin
done

cd ..

install -m 0644 src/configure.default $RPM_BUILD_ROOT/etc/exim/exim4.conf
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/etc/exim/aliases
ln -s exim/aliases $RPM_BUILD_ROOT/etc/
install -m 0644 %{SOURCE11} $RPM_BUILD_ROOT/etc/pam.d/exim

pushd $RPM_BUILD_ROOT/usr/lib/
ln -sf ../sbin/exim sendmail%{?alt_ext:%{alt_ext}}
popd

pushd $RPM_BUILD_ROOT/usr/sbin/
ln -sf exim sendmail%{?alt_ext:%{alt_ext}}
popd

pushd $RPM_BUILD_ROOT/usr/bin/
ln -sf ../sbin/exim mailq%{?alt_ext:%{alt_ext}}
ln -sf ../sbin/exim runq%{?alt_ext:%{alt_ext}}
ln -sf ../sbin/exim rsmtp%{?alt_ext:%{alt_ext}}
ln -sf ../sbin/exim rmail%{?alt_ext:%{alt_ext}}
ln -sf ../sbin/exim newaliases%{?alt_ext:%{alt_ext}}
popd

install -d -m 0750 $RPM_BUILD_ROOT/var/spool/exim
install -d -m 0750 $RPM_BUILD_ROOT/var/spool/exim/db
install -d -m 0750 $RPM_BUILD_ROOT/var/spool/exim/input
install -d -m 0750 $RPM_BUILD_ROOT/var/spool/exim/msglog
install -d -m 0750 $RPM_BUILD_ROOT/var/log/exim

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
pod2man --center=EXIM --section=8 \
       $RPM_BUILD_ROOT/usr/sbin/eximstats \
       $RPM_BUILD_ROOT%{_mandir}/man8/eximstats.8
install doc/exim.8 $RPM_BUILD_ROOT%{_mandir}/man8/exim.8

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/exim

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/exim

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT/etc/logrotate.d/exim

strip $RPM_BUILD_ROOT/usr/sbin/* || :

chmod g-w $RPM_BUILD_ROOT/usr/sbin/*

# SA-Exim
cd sa-exim*
mkdir -p $RPM_BUILD_ROOT/usr/libexec/exim
install *.so  $RPM_BUILD_ROOT/usr/libexec/exim
install -m644 sa-exim.conf $RPM_BUILD_ROOT/etc/exim
# put a versionless symlink in as well...
ln -s sa-exim*.so $RPM_BUILD_ROOT/usr/libexec/exim/sa-exim.so

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add exim
if [ ! -f /etc/aliases ]
then
	ln -s exim/aliases /etc/aliases
fi
#
%if %{alternatives}
# Set up alternatives (if required)
%{_sbindir}/alternatives --install /usr/sbin/sendmail mta /usr/sbin/sendmail.exim 10 \
	--slave %{_libdir}/sendmail mta %{_libdir}/sendmail.exim \
	--slave %{_bindir}/mailq mta-mailq %{_bindir}/mailq.exim \
	--slave %{_bindir}/runq mta-runq %{_bindir}/runq.exim \
	--slave %{_bindir}/rsmtp mta-rsmtp %{_bindir}/rsmtp.exim \
	--slave %{_bindir}/rmail mta-rmail %{_bindir}/rmail.exim \
	--slave %{_bindir}/newaliases mta-newaliases %{_bindir}/newaliases.exim \
	--slave %{_mandir}/man1/mailq.1.gz mta-mailqman %{_mandir}/man8/exim.8.gz

# if exim is the current mta then force an alternatives run as we
# provide more names than we used to
# we used to do this with a test of the symlink but thats damn difficult
# this works but is fundementally wrong...
if cmp /usr/sbin/sendmail.exim /etc/alternatives/mta
then
	%{_sbindir}/alternatives --set mta /usr/sbin/sendmail.exim
fi

# make sure we have the appropriate link in
if [ ! -f /usr/sbin/sendmail ]
then
	%{_sbindir}/alternatives --auto mta
fi
%endif
#
# scrub any hints files - db files can change format between builds
# so killing the hints can save an MTA crash later
[ -d /var/spool/exim/db ] && rm -f /var/spool/exim/db/*

%pre
# check that the exim group, if they exist, have the right uid/gid
grep ^exim: /etc/group >/dev/null && {
  /usr/sbin/groupmod -g 93 exim
}
# create the 'exim' group if it doesn't exist
grep ^exim: /etc/group >/dev/null || {
  /usr/sbin/groupadd -g 93 -r exim
}
# check that the exim user, if they exist, have the right uid/gid
grep ^exim: /etc/passwd >/dev/null && {
  /usr/sbin/usermod -u 93 -g exim exim
}
# create exim user if absent
grep ^exim: /etc/passwd >/dev/null || {
  /usr/sbin/useradd -d /var/spool/exim -u 93 -g exim -r exim
}


%preun
if [ $1 = 0 ]; then
    /sbin/service exim stop > /dev/null 2>&1
    /sbin/chkconfig --del exim
%if %{alternatives}
    %{_sbindir}/alternatives --remove mta %{_sbindir}/sendmail.exim
fi

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service exim  condrestart > /dev/null 2>&1
%endif
fi

%post base
  ln -sf exim-base /usr/sbin/exim

%if %{build_perl}
%post perl
  ln -sf exim-perl /usr/sbin/exim
%endif

%if %{build_mysql}
%post mysql
  ln -sf exim-mysql /usr/sbin/exim
%endif

%if %{build_pgsql}
%post pgsql
  ln -sf exim-pgsql /usr/sbin/exim
%endif

%files
%defattr(-,root,root)
/usr/sbin/exim_dumpdb
/usr/sbin/exim_fixdb
/usr/sbin/exim_tidydb
/usr/sbin/exinext
/usr/sbin/exiwhat
/usr/sbin/exim_dbmbuild
/usr/sbin/exicyclog
/usr/sbin/exigrep
/usr/sbin/exiqgrep
/usr/sbin/eximstats
/usr/sbin/exiqsumm
/usr/sbin/exim_lock
/usr/sbin/convert4r4
/usr/sbin/exim_checkaccess
#/usr/sbin/eximconfig
/usr/lib/sendmail%{?alt_ext:%{alt_ext}}
/usr/sbin/sendmail%{?alt_ext:%{alt_ext}}
/usr/bin/mailq%{?alt_ext:%{alt_ext}}
/usr/bin/runq%{?alt_ext:%{alt_ext}}
/usr/bin/rsmtp%{?alt_ext:%{alt_ext}}
/usr/bin/rmail%{?alt_ext:%{alt_ext}}
/usr/bin/newaliases%{?alt_ext:%{alt_ext}}
%{_mandir}/*/*

%defattr(-,exim,exim)
%dir /var/spool/exim
%dir /var/spool/exim/db
%dir /var/spool/exim/input
%dir /var/spool/exim/msglog
%dir /var/log/exim
%dir /etc/exim

%defattr(-,root,mail)
%config(noreplace) /etc/exim/exim4.conf
%config(noreplace) /etc/exim/aliases
%ghost /etc/aliases

%defattr(-,root,root)
%config(noreplace) /etc/sysconfig/exim
%config /etc/rc.d/init.d/exim
%config(noreplace) /etc/logrotate.d/exim
%config /etc/pam.d/exim

%doc LICENCE NOTICE README*
%doc doc util/*.sh

%files mon
%defattr(-,root,root)
/usr/sbin/eximon
/usr/sbin/eximon.bin

%if %{build_docs}
%files doc
%defattr(-,root,root)
%doc faq html ps pdf config.samples util
%endif

%files base
%defattr(-,root,root)
%attr(4755,root,root)/usr/sbin/exim-base
%ghost /usr/sbin/exim

%if %{build_perl}
%files perl
%defattr(-,root,root)
%attr(4755,root,root)/usr/sbin/exim-perl
%ghost /usr/sbin/exim
%endif

%if %{build_mysql}
%files mysql
%defattr(-,root,root)
%attr(4755,root,root)/usr/sbin/exim-mysql
%ghost /usr/sbin/exim
%endif

%if %{build_pgsql}
%files pgsql
%defattr(-,root,root)
%attr(4755,root,root)/usr/sbin/exim-pgsql
%ghost /usr/sbin/exim
%endif

%files saexim
%defattr(-,root,root)
/usr/libexec/exim
%config(noreplace) /etc/exim/sa-exim.conf
%doc sa-exim*/*.html
%doc sa-exim*/*.conf
%doc sa-exim*/{ACKNOWLEDGEMENTS,INSTALL,LICENSE,TODO}

%changelog
* Thu Oct 07 2004 Tim Jackson <tim@timj.co.uk> - 4.43
- Update to 4.43/Exiscan 28
- Fixed {_libdir}/sendmail link - added to alternatives
- Made logrotate and sysconfig files noreplace

* Mon Oct 04 2004 Tim Jackson <tim@timj.co.uk> - 4.42
- Update to 4.42/Exiscan 27/SA-Exim 4.1
- Added build_docs option
- Added build_perl option

* Thu Jul 15 2004 Nigel Metheringham <Nigel.Metheringham@InTechnology.co.uk> - 4.40
- Update to 4.40 (some versions missed in changelog)
- Moved config to a tar file rather than a patch as requested
- Some changes suggested by Tim Jackson merged
- Still uses hard wired exim user ID - changing this is more complex than expected.
- Now uses cmp on alternatives - thats duff

* Wed Dec 10 2003 Nigel Metheringham <Nigel.Metheringham@InTechnology.co.uk> - 4.30-3
- Ported fixes out of fedora development exim rpm 4.30-2
- Dumped LDAP version (now in base)
- Merge in changes from Andreas Metzler <ametzler@downhill.at.eu.org>:-
- Fix mailq(1) man page symlink
- Fix generation of sendmail link from alternatives
- Switch to man page shipped with upstream package
- Removed ldap as a separate package (included in base).

* Thu Dec  4 2003 Nigel Metheringham <Nigel.Metheringham@InTechnology.co.uk> - 4.30
- Version bump
- merge in changes from Nicolas Doye

* Thu Nov 13 2003 Nicolas Doye <nic.doye@eduserv.org.uk>
- Mods for Fedora Core 1

* Wed Nov 12 2003 Nicolas Doye <nic.doye@eduserv.org.uk>
- Mods for RHEL ES/AS 3

* Tue Aug 18 2003 Nicolas Doye <nic.doye@eduserv.org.uk>
- Mods for RHEL ES/AS 2.1 build
- Build requires lynx

* Fri May  2 2003 Nigel Metheringham <Nigel.Metheringham@InTechnology.co.uk>
- Mods for RH9 build
- Now scrubs db hint files (can cause db version mismatch problems)

* Wed Mar 12 2003 Nigel Metheringham <Nigel.Metheringham@InTechnology.co.uk>
- Updated to exim 4.14 with appropriate exiscan

* Fri Sep  6 2002 Nigel Metheringham <Nigel.Metheringham@InTechnology.co.uk>
- Updated to exim 4.10
- changed config file to exim4.conf (to prevent exim3 conf being used)
- integrated in current exiscan
- added convert4r4 
- remarkably few other changes

* Mon Jul 16 2001 Nigel Metheringham <nigel@exim.org>
- Updates for exim 3.31
- exim-base now excludes ldap, exim-ldap has been added instead

* Tue Jun 19 2001 Nigel Metheringham <nigel@exim.org>
- More mods for exim 3.30
- Again runs as exim.exim (previous few have used mail.mail)
- modded deps slightly for RH6

* Mon Jun 18 2001 Nigel Metheringham <nigel@exim.org>
- Hacked dependancies since rpm seems to have changed...
- Added patches for current bugs
- bumped release to outrace RH :-)

* Thu Mar 22 2001 Nigel Metheringham <nigel@exim.org>
- Atempted to make spec file support RH6.x & RH7.x
- Rearranged packaging to make several exim varients
- broke build method drastically
- added system filter, also modded eximconfig appropriately
- changed all the RPM_SOURCE_DIR/.. refs to %{SOURCEx}
- moved the config file to /etc/exim/exim.conf - it really needs
  its own directory (esp if you put query passwords in it)

* Sat Feb 17 2001 Tim Waugh <twaugh@redhat.com>
- Run as user mail, group mail when we drop privileges (bug #28193).

* Tue Feb 13 2001 Tim Powers <timp@redhat.com>
- added conflict with postfix

* Thu Jan 25 2001 Tim Waugh <twaugh@redhat.com>
- Avoid using zero-length salt in crypteq expansion.

* Tue Jan 23 2001 Tim Waugh <twaugh@redhat.com>
- Redo initscript internationalisation.
- Initscript uses bash not sh.

* Mon Jan 22 2001 Tim Waugh <twaugh@redhat.com>
- Okay, the real bug was in libident.

* Mon Jan 22 2001 Tim Waugh <twaugh@redhat.com>
- Revert the RST patch for now; if it's needed, it's a pidentd bug
  and should be fixed there.

* Mon Jan 22 2001 Tim Waugh <twaugh@redhat.com>
- 3.22.
- Build requires XFree86-devel.

* Mon Jan 15 2001 Tim Waugh <twaugh@redhat.com>
- New-style prereqs.
- Initscript internationalisation.

* Thu Jan 11 2001 Tim Waugh <twaugh@redhat.com>
- Security patch no longer required; 3.20 and later have a hide feature
  to do the same thing.
- Mark exim.conf noreplace.
- Better libident (RST) patch.

* Wed Jan 10 2001 Tim Waugh <twaugh@redhat.com>
- Fix eximconfig so that it tells the user the correct place to look
  for documentation
- Fix configure.default to deliver mail as group mail so that local
  delivery works

* Tue Jan 09 2001 Tim Waugh <twaugh@redhat.com>
- 3.21

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Enable TLS support (bug #23196)

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- 3.20 (bug #21895).  Absorbs configure.default patch
- Put URLs in source tags where applicable
- Add build requirement on pam-devel

* Wed Oct 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up eximconfig's header generation (we're not Debian), Bug #18068
- BuildRequires db2-devel (Bug #18089)
- Fix typo in logrotate script (Bug #18308)
- Local delivery must be setuid to work (Bug #18314)
- Don't send TCP RST packages to ident (Bug #19048)

* Wed Oct 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.16
- fix security bug
- some specfile cleanups
- fix handling of RPM_OPT_FLAGS

* Fri Aug 18 2000 Tim Powers <timp@redhat.com>
- fixed bug #16535, logrotate script changes

* Thu Aug 17 2000 Tim Powers <timp@redhat.com>
- fixed bug #16460
- fixed bug #16458
- fixed bug #16476

* Wed Aug 2 2000 Tim Powers <timp@redhat.com>
- fixed bug #15142

* Fri Jul 28 2000 Than Ngo <than@redhat.de>
- add missing restart function in startup script
- add rm -rf $RPM_BUILD_ROOT in install section
- use %%{_tmppath}

* Fri Jul 28 2000 Tim Powers <timp@redhat.com>
- fixed initscript so that condrestart doesn't return 1 when the test fails

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- inits bakc to rc.d/init.d, using service to start inits

* Thu Jul 13 2000 Tim Powers <timp@redhat.com>
- applied patch from bug #13890

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jul 06 2000 Tim Powers <timp@redhat.com>
- added patch submitted by <Chris.Keane@comlab.ox.ac.uk>, fixes bug #13539

* Thu Jul 06 2000 Tim Powers <timp@redhat.com>
- fixed broken prereq to require /etc/init.d

* Tue Jun 27 2000 Tim Powers <timp@redhat.com>
- PreReq initscripts >= 5.20

* Mon Jun 26 2000 Tim Powers <timp@redhat.com>
- fix init.d script location
- add condrestart to init.d script

* Wed Jun 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- migrate to system-auth setup

* Tue Jun 6 2000 Tim Powers <timp@redhat.com>
- fixed man page location

* Tue May 9 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Fri Feb 04 2000 Tim Powers <timp@redhat.com>
- fixed the groups to be in Red Hat groups.
- removed Vendor header since it is going to be marked Red Hat in our build
	system.
- quiet setups
- strip binaries
- fixed so that man pages can be auto gzipped by new RPM (in files list
	/usr/man/*/* )
- built for Powertools 6.2

* Tue Jan 18 2000 Mark Bergsma <mark@mbergsma.demon.nl>
- Upgraded to exim 3.13
- Removed i386 specialization
- Added syslog support

* Wed Dec 8 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Upgraded to exim 3.12
- Procmail no longer used as the delivery agent

* Wed Dec 1 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Upgraded to exim 3.11

* Sat Nov 27 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added /etc/pam.d/exim

* Wed Nov 24 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Upgraded to exim 3.10

* Thu Nov 11 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added eximconfig script, thanks to Mark Baker
- Exim now uses the Berkeley DB library.

* Fri Aug 4 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Upgraded to version 3.03
- Removed version number out of the spec file name.

* Fri Jul 23 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added embedded Perl support.
- Added tcp_wrappers support.
- Added extra documentation in a new doc subpackage.

* Mon Jul 12 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added /usr/sbin/sendmail as a link to exim.
- Fixed wrong filenames in logrotate entry. 

* Sun Jul 11 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Now using the '%changelog' tag.
- Removed the SysV init links - let chkconfig handle them. 
- Replaced install -d with mkdir -p

* Sat Jul 10 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Fixed owner of the exim-mon files - the owner is now root

* Thu Jul 08 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Removed executable permission bits of /etc/exim.conf
- Removed setuid permission bits of all programs except exim
- Changed spool/log directory owner/groups to 'mail'
- Changed the default configuration file to make exim run
      as user and group 'mail'.

* Thu Jul 08 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added the /usr/bin/rmail -> /usr/sbin/exim symlink.
- Added the convert4r3 script.
- Added the transport-filter.pl script to the documentation.

* Thu Jul 08 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added procmail transport and director, and made that the
      default.
- Added the unknownuser.sh script to the documentation.

* Thu Jul 08 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added manpage for exim.
- Fixed symlinks pointing to targets under Buildroot.
- The exim logfiles will now only be removed when uninstalling,
      not upgrading.

* Wed Jul 07 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added 'Obsoletes' header.
- Added several symlinks to /usr/sbin/exim.

* Wed Jul 07 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- First RPM packet release.
- Not tested on other architectures/OS'es than i386/Linux..
